/*
 * wlanmodel/nodemanager.h
 *
 * Copyright (C) 2008-2009 Reto Gantenbein
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 */

#ifndef __NODEMANAGER_H
#define __NODEMANAGER_H

#include <map>
#include <string>
#include "nodeinfo.h"

/** Class managing the participating wireless nodes */
class NodeManager
{
    public:
        NodeManager();
        ~NodeManager();

        static int addNode(NodeInfo *node);
        static bool isRegistered(const host_id *hostId);
        static int getProxyGate(const host_id *hostId);
        static NodeInfo* getNodeInfo(const int gateIndex);

    protected:
        static std::map<std::string, NodeInfo*> activeNodes;
};

#endif
